using System;
using System.Linq;
using System.Collections.Generic;

class program
{
    static void Main()
    {
        string unos = Console.ReadLine();
        var s = Console.ReadLine().Split();
        int a = int.Parse(s[0]);
        int b = int.Parse(s[1]);
        char c = unos[0];
        char c2 = unos[1];
        int max;
        if(a==b || a+1==b || a - 1 == b)
        {
            if (a == b)
            {
                for(int i=0; i<a; i++)
                {
                    Console.Write(unos);
                }
            }
            else if (a > b)
            {
                for (int i = 0; i < b; i++)
                {
                    Console.Write(unos);
                }
                Console.Write(c);
            }
            else
            {
                Console.Write(c2);
                for (int i = 0; i < a; i++)
                {
                    Console.Write(unos);
                }
            }
           
           
        }
        else
        {
            Console.WriteLine("nemoguce");
        }

    }
}